List interview campaigns
import requests
url = "https://eu.app.clarifeye.ai/api/v1/projects/{project_id}/interview-campaigns/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://eu.app.clarifeye.ai/api/v1/projects/{project_id}/interview-campaigns/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://eu.app.clarifeye.ai/api/v1/projects/{project_id}/interview-campaigns/ \
--header 'Authorization: Bearer <token>'{
"count": 123,
"next": "<string>",
"previous": "<string>",
"results": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"interview_count": 123
}
]
}{
"error": "Authentication credentials were not provided."
}{
"error": "You do not have permission to perform this action."
}{
"error": "Not found."
}Interviews
List interview campaigns
List the project’s interview campaigns (named groups of interviews, e.g. a workshop wave or rollout round), newest first. Any project member can read.
Campaigns are created lazily — by sending campaign_name on the assign
endpoint — so there are no create/rename/delete endpoints. Use a campaign’s
id with the interviews list campaign filter to read its interviews.
GET
/
projects
/
{project_id}
/
interview-campaigns
/
List interview campaigns
import requests
url = "https://eu.app.clarifeye.ai/api/v1/projects/{project_id}/interview-campaigns/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://eu.app.clarifeye.ai/api/v1/projects/{project_id}/interview-campaigns/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://eu.app.clarifeye.ai/api/v1/projects/{project_id}/interview-campaigns/ \
--header 'Authorization: Bearer <token>'{
"count": 123,
"next": "<string>",
"previous": "<string>",
"results": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"interview_count": 123
}
]
}{
"error": "Authentication credentials were not provided."
}{
"error": "You do not have permission to perform this action."
}{
"error": "Not found."
}Authorizations
BearerAuthTokenAuth
Use Authorization: Bearer
Path Parameters
UUID of the project
Query Parameters
Maximum number of results per page
Required range:
1 <= x <= 1000Number of results to skip for pagination
Required range:
x >= 0